## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XPathConstructionContextDefault Class Reference

An default implementation of an abtract class which provides support for constructing the internal representation of an XPath. More...

Inheritance diagram for XPathConstructionContextDefault:

[legend]
Collaboration diagram for XPathConstructionContextDefault:

[legend]
List of all members.

## Public Member Functions

- XPathConstructionContextDefault (MemoryManagerType &theManager XALAN_DEFAULT_MEMMGR)
- virtual ~XPathConstructionContextDefault ()
- virtual void reset ()
    Reset the instance.
- virtual const XalanDOMString & getPooledString (const XalanDOMString &theString)
    Get a pooled string given the source string.
- virtual const XalanDOMString & getPooledString (const XalanDOMChar *theString, XalanDOMString::size_type theLength=XalanDOMString::npos)
    Get a pooled string given the source character array.
- virtual XalanDOMString & getCachedString ()
    Get a cached string for temporary use.
- virtual bool releaseCachedString (XalanDOMString &theString)
    Return a cached string.
- virtual void error (const XalanDOMString &msg, const XalanNode *sourceNode, const LocatorType *locator) const
- virtual void warn (const XalanDOMString &msg, const XalanNode *sourceNode, const LocatorType *locator) const

## Static Public Member Functions

- XPathConstructionContextDefault * create (MemoryManagerType &theManager)

## Detailed Description

An default implementation of an abtract class which provides support for constructing the internal representation of an XPath.

## Constructor & Destructor Documentation

XPathConstructionContextDefault::XPathConstructionContextDefault | ( | MemoryManagerType &theManager | XALAN_DEFAULT_MEMMGR | ) |

virtual XPathConstructionContextDefault::~XPathConstructionContextDefault | ( |  | ) | `[virtual]`

## Member Function Documentation

XPathConstructionContextDefault* XPathConstructionContextDefault::create | ( | MemoryManagerType & | theManager | ) | `[static]`

virtual void XPathConstructionContextDefault::error | ( | const XalanDOMString & | msg,
|  | const XalanNode * | sourceNode,
|  | const LocatorType * | locator
| ) | const`[virtual]`

| Implements XPathConstructionContext.

virtual XalanDOMString& XPathConstructionContextDefault::getCachedString | ( |  | ) | `[virtual]`

| Get a cached string for temporary use. Returns: A reference to the string Implements XPathConstructionContext.

virtual const XalanDOMString& XPathConstructionContextDefault::getPooledString | ( | const XalanDOMChar * | theString,
|  | XalanDOMString::size_type | theLength = XalanDOMString::npos
| ) | `[virtual]`

  | Get a pooled string given the source character array. If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use. Parameters:
  theString | The source character array
  theLength | The length of the character array
Returns: a const reference to a pooled string. Implements XPathConstructionContext.

virtual const XalanDOMString& XPathConstructionContextDefault::getPooledString | ( | const XalanDOMString & | theString | ) | `[virtual]`

  | Get a pooled string given the source string. If the string already exists in the pool, no copy will be made. If not, a copy will be made and kept for later use. Parameters:
  theString | The source string
Returns: a const reference to a pooled string. Implements XPathConstructionContext.

virtual bool XPathConstructionContextDefault::releaseCachedString | ( | XalanDOMString & | theString | ) | `[virtual]`

  | Return a cached string. Parameters:
  theString | The string to release.
Returns: true if the string was released successfully. Implements XPathConstructionContext.

virtual void XPathConstructionContextDefault::reset | ( |  | ) | `[virtual]`

| Reset the instance. Any existing objects created by the instance will be destroyed. Implements XPathConstructionContext.

virtual void XPathConstructionContextDefault::warn | ( | const XalanDOMString & | msg,
|  | const XalanNode * | sourceNode,
|  | const LocatorType * | locator
| ) | const`[virtual]`

| Implements XPathConstructionContext.

The documentation for this class was generated from the following file:

- XPathConstructionContextDefault.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.